CWIS Developer Documentation

- Home
- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
HumanMetadataField Class Reference

Given a metadata field, this class returns human-readable values for each value of the field. More...

## Public Member Functions
| __construct (MetadataField $Field)
| Save the field that will be used to generate the human-readable values. More...
| Status ()
| Get the human-readable error status of the field. More...
| Type ()
| Get the human-readable field type of the field. More...
| TypeAsName ()
| Get the human-readable field type of the field. More...
| GetDisplayName ()
| Get the human-readable display name of the field. More...
| Name ()
| Get the human-readable name of the field. More...
| Label ()
| Get the human-readable label of the field. More...
| GetAllowedConversionTypes ()
| Get the human-readable allowed conversion types of the field. More...
| IsTempItem ()
| Get the human-readable string that indicates if the field is a temporary field. More...
| Id ()
| Get the human-readable field ID. More...
| DBFieldName ()
| Get the human-readable database field name of the field. More...
| Description ()
| Get the human-readable description of the field. More...
| Instructions ()
| Get the human-readable instructions of the field. More...
| Owner ()
| Get the human-readable field owner. More...
| RequiredBySPT ()
| Get the human-readable string that indicates if the field is required by SPT. More...
| Enabled ()
| Get the human-readable string that indicates if the field is enabled. More...
| Optional ()
| Get the human-readable string that indicates if the field is optional. More...
| Editable ()
| Get the human-readable string that indicates if the field is editable. More...
| Viewable ()
| Get the human-readable string that indicates if the field is viewable. More...
| AllowMultiple ()
| Get the human-readable string that indicates if multiple field values are permitted. More...
| IncludeInKeywordSearch ()
| Get the human-readable string that indicates if the field is included in keyword searches. More...
| IncludeInAdvancedSearch ()
| Get the human-readable string that indicates if the field is included in advanced search options. More...
| IncludeInFacetedSearch ()
| Get the human-readable string that indicates if the field is included in faceted search options. More...
| IncludeInSortOptions ()
| Get the human-readable string that indicates if the field is included in sort options. More...
| IncludeInRecommender ()
| Get the human-readable string that indicates if the field is included in the recommender system. More...
| TextFieldSize ()
| Get the human-readable size of text field inputs. More...
| MaxLength ()
| Get the human-readable maximum size of text field values. More...
| ParagraphRows ()
| Get the human-readable number of rows of paragraph field inputs. More...
| ParagraphCols ()
| Get the human-readable number of columns of paragraph field inputs. More...
| MinValue ()
| Get the human-readable minimum value for number fields. More...
| MaxValue ()
| Get the human-readable maximum value for number fields. More...
| FlagOnLabel ()
| Get the human-readable flag-on label for flag fields. More...
| FlagOffLabel ()
| Get the human-readable flag-off label for flag fields. More...
| DateFormat ()
| Get the human-readable field date format. More...
| SearchWeight ()
| Get the human-readable search weight of the field. More...
| RecommenderWeight ()
| Get the human-readable recommender weight of the field. More...
| MaxHeight ()
| Get the human-readable maximum height of images of image fields. More...
| MaxWidth ()
| Get the human-readable maximum width of images of image fields. More...
| MaxPreviewHeight ()
| Get the human-readable maximum height of preview images of image fields. More...
| MaxPreviewWidth ()
| Get the human-readable maximum width of preview images of image fields. More...
| MaxThumbnailHeight ()
| Get the human-readable maximum height of thumbnail images of image fields. More...
| MaxThumbnailWidth ()
| Get the human-readable maximum width of thumbnail images of image fields. More...
| DefaultAltText ()
| Get the human-readable default alternate text of images of image fields. More...
| UsesQualifiers ()
| Get the human-readable string indicating if the field uses qualifiers. More...
| ShowQualifiers ()
| Get the human-readable string indicating if qualifiers are shown for the field. More...
| DefaultQualifier ()
| Get the human-readable default qualifier of the field. More...
| AllowHTML ()
| Get the human-readable string indicating if HTML is allowed as the value. More...
| UseWysiwygEditor ()
| Get the human-readable string indicating if a WYSIWYG editor should be used when editing the field value. More...
| UseForOaiSets ()
| Get the human-readable string indicating if the field should be used for OAI sets. More...
| NumAjaxResults ()
| Get the human-readable number of AJAX search results to display for the field. More...
| ViewingPrivilege ()
| Get the human-readable viewing privilege of the field. More...
| AuthoringPrivilege ()
| Get the human-readable authoring privilege of the field. More...
| EditingPrivilege ()
| Get the human-readable editing privilege of the field. More...
| ImagePreviewPrivilege ()
| Get the human-readable image preview privilege of image fields. More...
| TreeBrowsingPrivilege ()
| Get the human-readable tree browsing privilege of tree fields. More...
| EnableOnOwnerReturn ()
| Get the human-readable string indicating if the field should be enabled when the owner/plugin is available. More...
| ViewingUserIsValue ()
| Get the human-readable viewing user is value of the field. More...
| AuthoringUserIsValue ()
| Get the human-readable authoring user is value of the field. More...
| EditingUserIsValue ()
| Get the human-readable editing user is value of the field. More...
| ViewingUserValue ()
| Get the human-readable viewing user value of the field. More...
| AuthoringUserValue ()
| Get the human-readable authoring user value of the field. More...
| EditingUserValue ()
| Get the human-readable editing user value of the field. More...
| UserPrivilegeRestrictions ()
| Get the human-readable user privilege restrictions of user fields. More...
| PointPrecision ()
| Get the human-readable point precision of point fields. More...
| PointDecimalDigits ()
| Get the human-readable point decimal digits of point fields. More...
| DefaultValue ()
| Get the human-readable default value of the field. More...
| UpdateMethod ()
| Get the human-readable update method of the field. More...
| GetPossibleValues ()
| Get the human-readable possible values of the field. More...
| GetCountOfPossibleValues ()
| Get the human-readable count of possible values of the field. More...
| HasItemLevelQualifiers ()
| Get the human-readable string that indicates if the field has item-level qualifiers. More...
| AssociatedQualifierList ()
| Get the human-readable list of associated qualifiers of the field. More...
| UnassociatedQualifierList ()
| Get the human-readable list of unassociated qualifiers of the field. More...
| GetViewingPrivilegeString ()
| Get the human-readable viewing privilege string that includes the viewing privilege required, along with the the "user is value ..." setting. More...
| GetAuthoringPrivilegeString ()
| Get the human-readable authoring privilege string that includes the authoring privilege required, along with the the "user is value ..." setting. More...
| GetEditingPrivilegeString ()
| Get the human-readable editing privilege string that includes the editing privilege required, along with the the "user is value ..." setting. More...
| GetNotSetText ()
| Get the text that is used when a value is not set. More...
| SetNotSetText ($Text)
| Set the text that is used when a value is not set. More...

## Protected Member Functions
| GetYesNo ($Value)
| Get the human-readable string for a boolean-like value. More...
| GetValueCheckingLength ($Value)
| Get the value or the not-set text depending on the length of the value. More...
| GetPrivilegeString ($Mode)
| This method makes getting privilege strings for viewing, authoring, and editing a little more convenient. More...
| MapPrivilege ($Value)
| Map a privilege value to a privilege name. More...
| LoadPrivilegeList ()
| Load the static privilege list. More...
| MapUserIsValue ($Value)
| Map a UserIsValue value to a name. More...
| MapUserValue ($Value)
| Map a UserValue value to a field display name. More...
| LoadUserFieldList ()
| Load the static user field list. More...
| GetArrayValue (array $Array, $Key, $Default=NULL)
| Get the value from an array with a given index or a default value if it does not exist. More...

## Protected Attributes
| $Field
| The metadata field that is having its values returned in human-readable form. More...
| $NotSetText = "--"
| The text used when a value is not set. More...

## Static Protected Attributes
static | $PrivilegeList
| A static array of privilege values and names. More...
static | $UserIsValueList
| A static array of UserIsValue strings. More...
static | $UserFieldList
| A static array of user fields. More...

## Detailed Description

Given a metadata field, this class returns human-readable values for each value of the field.

Definition at line 14 of file HumanMetadataField.php.

## Constructor & Destructor Documentation

HumanMetadataField::__construct | ( | MetadataField | $Field | ) |

Save the field that will be used to generate the human-readable values.

Parameters

  MetadataField | $Field | metadata field

Definition at line 21 of file HumanMetadataField.php.

References $Field.

## Member Function Documentation

HumanMetadataField::AllowHTML | ( |  | ) |

Get the human-readable string indicating if HTML is allowed as the value.

Returns
  string human-readable string indicating if HTML is allowed as the value

Definition at line 500 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::AllowMultiple | ( |  | ) |

Get the human-readable string that indicates if multiple field values are permitted.

Returns
  string human-readable string indicating if multiple field values are permitted

Definition at line 228 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::AssociatedQualifierList | ( |  | ) |

Get the human-readable list of associated qualifiers of the field.

Returns
  string human-readable list of associated field qualifiers

Definition at line 816 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::AuthoringPrivilege | ( |  | ) |

Get the human-readable authoring privilege of the field.

Returns
  string human-readable field authoring privilege

Definition at line 552 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapPrivilege().

HumanMetadataField::AuthoringUserIsValue | ( |  | ) |

Get the human-readable authoring user is value of the field.

Returns
  string human-readable authoring user is value of the field

Definition at line 618 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserIsValue().

HumanMetadataField::AuthoringUserValue | ( |  | ) |

Get the human-readable authoring user value of the field.

Returns
  string human-readable authoring user value of the field

Definition at line 651 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserValue().

HumanMetadataField::DateFormat | ( |  | ) |

Get the human-readable field date format.

Returns
  string human-readable field date format

Definition at line 364 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::DBFieldName | ( |  | ) |

Get the human-readable database field name of the field.

Returns
  string human-readable database field name

Definition at line 134 of file HumanMetadataField.php.

HumanMetadataField::DefaultAltText | ( |  | ) |

Get the human-readable default alternate text of images of image fields.

Returns
  string human-readable default alternate text of images of image fields

Definition at line 451 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::DefaultQualifier | ( |  | ) |

Get the human-readable default qualifier of the field.

Returns
  string human-readable default qualifier of the field

Definition at line 481 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::DefaultValue | ( |  | ) |

Get the human-readable default value of the field.

Returns
  string human-readable default value of the field

Definition at line 709 of file HumanMetadataField.php.

References $NotSetText, FlagOffLabel(), FlagOnLabel(), GetValueCheckingLength(), MetadataSchema\MDFTYPE_FLAG, MetadataSchema\MDFTYPE_OPTION, and MetadataSchema\MDFTYPE_POINT.

HumanMetadataField::Description | ( |  | ) |

Get the human-readable description of the field.

Returns
  string human-readable field description

Definition at line 143 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::Editable | ( |  | ) |

Get the human-readable string that indicates if the field is editable.

Returns
  string human-readable string indicating if the field is editable

Definition at line 208 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::EditingPrivilege | ( |  | ) |

Get the human-readable editing privilege of the field.

Returns
  string human-readable field editing privilege

Definition at line 563 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapPrivilege().

HumanMetadataField::EditingUserIsValue | ( |  | ) |

Get the human-readable editing user is value of the field.

Returns
  string human-readable editing user is value of the field

Definition at line 629 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserIsValue().

HumanMetadataField::EditingUserValue | ( |  | ) |

Get the human-readable editing user value of the field.

Returns
  string human-readable editing user value of the field

Definition at line 662 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserValue().

HumanMetadataField::Enabled | ( |  | ) |

Get the human-readable string that indicates if the field is enabled.

Returns
  string human-readable string indicating if the field is enabled

Definition at line 190 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::EnableOnOwnerReturn | ( |  | ) |

Get the human-readable string indicating if the field should be enabled when the owner/plugin is available.

Returns
  string human-readable string indicating if the field should be enabled when the owner returns

Definition at line 598 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::FlagOffLabel | ( |  | ) |

Get the human-readable flag-off label for flag fields.

Returns
  string human-readable flag-off label for flag fields

Definition at line 355 of file HumanMetadataField.php.

References GetValueCheckingLength().

Referenced by DefaultValue().

Here is the caller graph for this function:

HumanMetadataField::FlagOnLabel | ( |  | ) |

Get the human-readable flag-on label for flag fields.

Returns
  string human-readable flag-on label for flag fields

Definition at line 346 of file HumanMetadataField.php.

References GetValueCheckingLength().

Referenced by DefaultValue().

Here is the caller graph for this function:

HumanMetadataField::GetAllowedConversionTypes | ( |  | ) |

Get the human-readable allowed conversion types of the field.

Returns
  string human-readable allowed conversion types of the field

Definition at line 104 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::GetArrayValue | ( | array | $Array,
|  |  | $Key,
|  |  | $Default = `NULL`
| ) |  |
| protected

Get the value from an array with a given index or a default value if it does not exist.

Parameters

  array | $Array | array to check
  mixed | $Key | index of the value to retrieve
  mixed | $Default | value to return if the value does not exist (defaults to NULL)

Returns
  mixed the value at the given index or the default value if it doesn't exist

Definition at line 1019 of file HumanMetadataField.php.

Referenced by UpdateMethod().

Here is the caller graph for this function:

HumanMetadataField::GetAuthoringPrivilegeString | ( |  | ) |

Get the human-readable authoring privilege string that includes the authoring privilege required, along with the the "user is value ..." setting.

Returns
  string human-readable authoring privilege string

Definition at line 849 of file HumanMetadataField.php.

References GetPrivilegeString().

HumanMetadataField::GetCountOfPossibleValues | ( |  | ) |

Get the human-readable count of possible values of the field.

This is only meaningful for Tree, ControlledName, Option, Flag, and User fields.

Returns
  string human-readable count of possible values of the field

Definition at line 796 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::GetDisplayName | ( |  | ) |

Get the human-readable display name of the field.

Returns
  string human-readable display name of the field

Definition at line 77 of file HumanMetadataField.php.

HumanMetadataField::GetEditingPrivilegeString | ( |  | ) |

Get the human-readable editing privilege string that includes the editing privilege required, along with the the "user is value ..." setting.

Returns
  string human-readable editing privilege string

Definition at line 859 of file HumanMetadataField.php.

References GetPrivilegeString().

HumanMetadataField::GetNotSetText | ( |  | ) |

Get the text that is used when a value is not set.

Returns
  string text used when a value is not set

Definition at line 868 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::GetPossibleValues | ( |  | ) |

Get the human-readable possible values of the field.

This is only meaningful for Tree, ControlledName, Option, Flag, and User fields.

Returns
  string human-readable possible values of the field

Definition at line 784 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::GetPrivilegeString | ( |  | $Mode | ) |
| protected

This method makes getting privilege strings for viewing, authoring, and editing a little more convenient.

Parameters

  string | $Mode | should be one of "Viewing", "Authoring", or "Editing"

Returns
  string human-readable privilege string

Definition at line 909 of file HumanMetadataField.php.

References MapPrivilege().

Referenced by GetAuthoringPrivilegeString(), GetEditingPrivilegeString(), and GetViewingPrivilegeString().

Here is the caller graph for this function:

HumanMetadataField::GetValueCheckingLength | ( |  | $Value | ) |
| protected

Get the value or the not-set text depending on the length of the value.

Parameters

  string | $Value | value to check

Returns
  string the value if the string length is greater than zero or the not-set text if it is zero

Definition at line 898 of file HumanMetadataField.php.

References $NotSetText.

Referenced by AuthoringPrivilege(), AuthoringUserIsValue(), AuthoringUserValue(), DateFormat(), DefaultAltText(), DefaultValue(), Description(), EditingPrivilege(), EditingUserIsValue(), EditingUserValue(), FlagOffLabel(), FlagOnLabel(), GetCountOfPossibleValues(), ImagePreviewPrivilege(), Instructions(), Label(), MaxHeight(), MaxLength(), MaxPreviewHeight(), MaxPreviewWidth(), MaxThumbnailHeight(), MaxThumbnailWidth(), MaxValue(), MaxWidth(), MinValue(), Owner(), ParagraphCols(), ParagraphRows(), PointDecimalDigits(), PointPrecision(), RecommenderWeight(), SearchWeight(), TextFieldSize(), TreeBrowsingPrivilege(), UpdateMethod(), ViewingPrivilege(), ViewingUserIsValue(), and ViewingUserValue().

Here is the caller graph for this function:

HumanMetadataField::GetViewingPrivilegeString | ( |  | ) |

Get the human-readable viewing privilege string that includes the viewing privilege required, along with the the "user is value ..." setting.

Returns
  string human-readable viewing privilege string

Definition at line 838 of file HumanMetadataField.php.

References GetPrivilegeString().

HumanMetadataField::GetYesNo | ( |  | $Value | ) |
| protected

Get the human-readable string for a boolean-like value.

Parameters

  mixed | $Value | boolean-like value

Returns
  string the human-readable string for the value

Definition at line 887 of file HumanMetadataField.php.

Referenced by AllowHTML(), AllowMultiple(), Editable(), Enabled(), EnableOnOwnerReturn(), HasItemLevelQualifiers(), IncludeInAdvancedSearch(), IncludeInFacetedSearch(), IncludeInKeywordSearch(), IncludeInRecommender(), IncludeInSortOptions(), IsTempItem(), Optional(), RequiredBySPT(), ShowQualifiers(), UseForOaiSets(), UsesQualifiers(), UseWysiwygEditor(), and Viewable().

Here is the caller graph for this function:

HumanMetadataField::HasItemLevelQualifiers | ( |  | ) |

Get the human-readable string that indicates if the field has item-level qualifiers.

Returns
  string human-readable string indicating if the field has item-level qualifiers

Definition at line 807 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Id | ( |  | ) |

Get the human-readable field ID.

Returns
  string human-readable field ID

Definition at line 125 of file HumanMetadataField.php.

HumanMetadataField::ImagePreviewPrivilege | ( |  | ) |

Get the human-readable image preview privilege of image fields.

Returns
  string human-readable image preview privilege of image fields

Definition at line 574 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapPrivilege().

HumanMetadataField::IncludeInAdvancedSearch | ( |  | ) |

Get the human-readable string that indicates if the field is included in advanced search options.

Returns
  string human-readable string indicating if the field is included in advanced search options

Definition at line 250 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::IncludeInFacetedSearch | ( |  | ) |

Get the human-readable string that indicates if the field is included in faceted search options.

Returns
  Returns the human-readable string indicating if the field is included in faceted search options.

Definition at line 261 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::IncludeInKeywordSearch | ( |  | ) |

Get the human-readable string that indicates if the field is included in keyword searches.

Returns
  string human-readable string indicating if the field is included in keyword searches

Definition at line 239 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::IncludeInRecommender | ( |  | ) |

Get the human-readable string that indicates if the field is included in the recommender system.

Returns
  string human-readable string indicating if the field is included in the recommender system

Definition at line 283 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::IncludeInSortOptions | ( |  | ) |

Get the human-readable string that indicates if the field is included in sort options.

Returns
  string human-readable string indicating if the field is included in sort options

Definition at line 272 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Instructions | ( |  | ) |

Get the human-readable instructions of the field.

Returns
  string human-readable field instructions

Definition at line 157 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::IsTempItem | ( |  | ) |

Get the human-readable string that indicates if the field is a temporary field.

Returns
  string human-readable string indicating if the field is temporary

Definition at line 116 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Label | ( |  | ) |

Get the human-readable label of the field.

Returns
  string human-readable field label

Definition at line 95 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::LoadPrivilegeList | ( |  | ) |
| protected

Load the static privilege list.

Definition at line 959 of file HumanMetadataField.php.

HumanMetadataField::LoadUserFieldList | ( |  | ) |
| protected

Load the static user field list.

Definition at line 994 of file HumanMetadataField.php.

References MetadataSchema\GetFields(), and MetadataSchema\MDFTYPE_USER.

HumanMetadataField::MapPrivilege | ( |  | $Value | ) |
| protected

Map a privilege value to a privilege name.

Parameters

  string | int | $Value | privilege value

Returns
  string privilege name

Definition at line 946 of file HumanMetadataField.php.

Referenced by AuthoringPrivilege(), EditingPrivilege(), GetPrivilegeString(), ImagePreviewPrivilege(), TreeBrowsingPrivilege(), UserPrivilegeRestrictions(), and ViewingPrivilege().

Here is the caller graph for this function:

HumanMetadataField::MapUserIsValue | ( |  | $Value | ) |
| protected

Map a UserIsValue value to a name.

Parameters

  int | $Value | UserIsValue value

Returns
  string UserIsValue name

Definition at line 971 of file HumanMetadataField.php.

Referenced by AuthoringUserIsValue(), EditingUserIsValue(), and ViewingUserIsValue().

Here is the caller graph for this function:

HumanMetadataField::MapUserValue | ( |  | $Value | ) |
| protected

Map a UserValue value to a field display name.

Parameters

  int | $Value | UserValue value

Returns
  string user field display name

Definition at line 981 of file HumanMetadataField.php.

Referenced by AuthoringUserValue(), EditingUserValue(), and ViewingUserValue().

Here is the caller graph for this function:

HumanMetadataField::MaxHeight | ( |  | ) |

Get the human-readable maximum height of images of image fields.

Returns
  string human-readable maximum height of images of image fields

Definition at line 391 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxLength | ( |  | ) |

Get the human-readable maximum size of text field values.

Returns
  string human-readable maximum size of text field values

Definition at line 301 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxPreviewHeight | ( |  | ) |

Get the human-readable maximum height of preview images of image fields.

Returns
  string human-readable maximum height of preview images of image fields

Definition at line 410 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxPreviewWidth | ( |  | ) |

Get the human-readable maximum width of preview images of image fields.

Returns
  string human-readable maximim width of preview images of image fields

Definition at line 420 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxThumbnailHeight | ( |  | ) |

Get the human-readable maximum height of thumbnail images of image fields.

Returns
  string human-readable maximum height of thumbnail images of image fields

Definition at line 431 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxThumbnailWidth | ( |  | ) |

Get the human-readable maximum width of thumbnail images of image fields.

Returns
  string human-readable maximum width of thumbnail images of image fields

Definition at line 441 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxValue | ( |  | ) |

Get the human-readable maximum value for number fields.

Returns
  string human-readable maximum value for number fields

Definition at line 337 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxWidth | ( |  | ) |

Get the human-readable maximum width of images of image fields.

Returns
  string human-readable maximum width of images of image fields

Definition at line 400 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MinValue | ( |  | ) |

Get the human-readable minimum value for number fields.

Returns
  string human-readable minimum value for number fields

Definition at line 328 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::Name | ( |  | ) |

Get the human-readable name of the field.

Returns
  string human-readable field name

Definition at line 86 of file HumanMetadataField.php.

HumanMetadataField::NumAjaxResults | ( |  | ) |

Get the human-readable number of AJAX search results to display for the field.

Returns
  string human-readable number of AJAX search results to display

Definition at line 532 of file HumanMetadataField.php.

HumanMetadataField::Optional | ( |  | ) |

Get the human-readable string that indicates if the field is optional.

Returns
  string human-readable string indicating if the field is optional

Definition at line 199 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Owner | ( |  | ) |

Get the human-readable field owner.

Returns
  string human-readable field owner

Definition at line 171 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::ParagraphCols | ( |  | ) |

Get the human-readable number of columns of paragraph field inputs.

Returns
  string human-readable number of columns of paragraph field inputs

Definition at line 319 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::ParagraphRows | ( |  | ) |

Get the human-readable number of rows of paragraph field inputs.

Returns
  string human-readable number of rows of paragraph field inputs

Definition at line 310 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::PointDecimalDigits | ( |  | ) |

Get the human-readable point decimal digits of point fields.

Returns
  string human-readable point decimal digits of point fields

Definition at line 700 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::PointPrecision | ( |  | ) |

Get the human-readable point precision of point fields.

Returns
  string human-readable point precision of point fields

Definition at line 691 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::RecommenderWeight | ( |  | ) |

Get the human-readable recommender weight of the field.

Returns
  string human-readable field recommender weight

Definition at line 382 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::RequiredBySPT | ( |  | ) |

Get the human-readable string that indicates if the field is required by SPT.

Returns
  string human-readable string indicating if SPT requires the field

Definition at line 181 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::SearchWeight | ( |  | ) |

Get the human-readable search weight of the field.

Returns
  string human-readable field search weight

Definition at line 373 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::SetNotSetText | ( |  | $Text | ) |

Set the text that is used when a value is not set.

Parameters

  string | $Text | text to be used when a value is not set

Definition at line 877 of file HumanMetadataField.php.

HumanMetadataField::ShowQualifiers | ( |  | ) |

Get the human-readable string indicating if qualifiers are shown for the field.

Returns
  string human-readable string indicating if qualifiers are shown for the field

Definition at line 472 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Status | ( |  | ) |

Get the human-readable error status of the field.

Returns
  string human-readable error status

Definition at line 30 of file HumanMetadataField.php.

References $NotSetText, MetadataSchema\MDFSTAT_DUPLICATEDBCOLUMN, MetadataSchema\MDFSTAT_DUPLICATELABEL, MetadataSchema\MDFSTAT_DUPLICATENAME, MetadataSchema\MDFSTAT_ERROR, MetadataSchema\MDFSTAT_FIELDDOESNOTEXIST, MetadataSchema\MDFSTAT_ILLEGALLABEL, MetadataSchema\MDFSTAT_ILLEGALNAME, and MetadataSchema\MDFSTAT_OK.

HumanMetadataField::TextFieldSize | ( |  | ) |

Get the human-readable size of text field inputs.

Returns
  string human-readable size of text field inputs

Definition at line 292 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::TreeBrowsingPrivilege | ( |  | ) |

Get the human-readable tree browsing privilege of tree fields.

Returns
  string human-readable tree browsing privilege of tree fields

Definition at line 585 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapPrivilege().

HumanMetadataField::Type | ( |  | ) |

Get the human-readable field type of the field.

Returns
  string human-readable field type

Definition at line 59 of file HumanMetadataField.php.

References MetadataField\$FieldTypeDBEnums.

HumanMetadataField::TypeAsName | ( |  | ) |

Get the human-readable field type of the field.

Returns
  string human-readable field type

Definition at line 68 of file HumanMetadataField.php.

HumanMetadataField::UnassociatedQualifierList | ( |  | ) |

Get the human-readable list of unassociated qualifiers of the field.

Returns
  string human-readable list of unassociated field qualifiers

Definition at line 826 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::UpdateMethod | ( |  | ) |

Get the human-readable update method of the field.

Returns
  string human-readable update method of the field

Definition at line 771 of file HumanMetadataField.php.

References MetadataField\$UpdateTypes, GetArrayValue(), and GetValueCheckingLength().

HumanMetadataField::UseForOaiSets | ( |  | ) |

Get the human-readable string indicating if the field should be used for OAI sets.

Returns
  string human-readable string indicating if the field should be used for OAI sets

Definition at line 522 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::UserPrivilegeRestrictions | ( |  | ) |

Get the human-readable user privilege restrictions of user fields.

Returns
  string human-readable user privilege restrictions of user fields

Definition at line 673 of file HumanMetadataField.php.

References $NotSetText, and MapPrivilege().

HumanMetadataField::UsesQualifiers | ( |  | ) |

Get the human-readable string indicating if the field uses qualifiers.

Returns
  string human-readable string indicating if the field uses qualifiers

Definition at line 461 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::UseWysiwygEditor | ( |  | ) |

Get the human-readable string indicating if a WYSIWYG editor should be used when editing the field value.

Returns
  string human-readable string indicating if a WYSIWYG editor should be used when editing the field value

Definition at line 511 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Viewable | ( |  | ) |

Get the human-readable string that indicates if the field is viewable.

Returns
  string human-readable string indicating if the field is viewable

Definition at line 217 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::ViewingPrivilege | ( |  | ) |

Get the human-readable viewing privilege of the field.

Returns
  string human-readable field viewing privilege

Definition at line 541 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapPrivilege().

HumanMetadataField::ViewingUserIsValue | ( |  | ) |

Get the human-readable viewing user is value of the field.

Returns
  string human-readable viewing user is value of the field.

Definition at line 607 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserIsValue().

HumanMetadataField::ViewingUserValue | ( |  | ) |

Get the human-readable viewing user value of the field.

Returns
  string human-readable viewing user value of the field

Definition at line 640 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserValue().

## Member Data Documentation

MetadataField HumanMetadataField::$Field
| protected

The metadata field that is having its values returned in human-readable form.

Definition at line 1029 of file HumanMetadataField.php.

Referenced by __construct().

string HumanMetadataField::$NotSetText = "--"
| protected

The text used when a value is not set.

Definition at line 1035 of file HumanMetadataField.php.

Referenced by AssociatedQualifierList(), DefaultQualifier(), DefaultValue(), GetAllowedConversionTypes(), GetNotSetText(), GetPossibleValues(), GetValueCheckingLength(), Status(), UnassociatedQualifierList(), and UserPrivilegeRestrictions().

array HumanMetadataField::$PrivilegeList
| static protected

A static array of privilege values and names.

Definition at line 1041 of file HumanMetadataField.php.

array HumanMetadataField::$UserFieldList
| static protected

A static array of user fields.

Definition at line 1055 of file HumanMetadataField.php.

array HumanMetadataField::$UserIsValueList
| static protected

Initial value:
= array(
MetadataField::USERISVALUE_OR => "or",
MetadataField::USERISVALUE_AND => "and")

A static array of UserIsValue strings.

Definition at line 1047 of file HumanMetadataField.php.

The documentation for this class was generated from the following file:

- objects/HumanMetadataField.php